com.smartgwt.client.core

## Class JsObject

- java.lang.Object
- - com.smartgwt.client.core.JsObject

- Direct Known Subclasses:
    DataClass, DateRange

      public class JsObject
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.google.gwt.core.client.JavaScriptObject` | `jsObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JsObject()`
    `` | `JsObject(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `com.google.gwt.core.client.JavaScriptObject` | `getJsObj()`
    `int` | `hashCode()`
    `protected boolean` | `isCreated()`
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setJsObj(com.google.gwt.core.client.JavaScriptObject jsObj)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jsObj

          protected com.google.gwt.core.client.JavaScriptObject jsObj

  - ### Constructor Detail

    - #### JsObject

          protected JsObject()

    - #### JsObject

          public JsObject(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### isCreated

          protected boolean isCreated()

    - #### getJsObj

          public com.google.gwt.core.client.JavaScriptObject getJsObj()

    - #### setJsObj

          public void setJsObj(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public final void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`